package com.oo.seex.netlibrary.net.response;

/**
 * 新接口的服务器返回值转换
 */

public class NewResponseImpl<T> extends IResponse {

    private int status;
    private String message;
    private T data;

    public boolean isSuccess() {
        return status == 200;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public int getResultCode() {
        return status;
    }

    public String getResultMssage() {
        return message;
    }

    public T getResultData() {
        return data;
    }
}